Update debian-etch-debootstrap API version to 5
authorIustin Pop <iustin@google.com>
Tue, 18 Sep 2007 12:02:34 +0000 (12:02 +0000)
committerIustin Pop <iustin@google.com>
Tue, 18 Sep 2007 12:02:34 +0000 (12:02 +0000)
This updates this OS the API v5 by adding a rename operation.

Reviewed-by: imsnah

create
ganeti_api_version
rename [new file with mode: 0755]

diff --git a/create b/create
index 077684d..c178672 100755 (executable)
--- a/create
+++ b/create
@@ -91,3 +91,5 @@ EOF
 umount $TMPDIR
 rmdir $TMPDIR
 trap - EXIT
+
+exit 0
index b8626c4..7ed6ff8 100644 (file)
@@ -1 +1 @@
-4
+5
diff --git a/rename b/rename
new file mode 100755 (executable)
index 0000000..9c13ddd
--- /dev/null
+++ b/rename
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Copyright (C) 2007 Google Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+set -e
+
+TEMP=`getopt -o o:n:b:s: -n '$0' -- "$@"`
+
+if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
+
+# Note the quotes around `$TEMP': they are essential!
+eval set -- "$TEMP"
+
+while true; do
+       case "$1" in
+               -o) old_name=$2; shift 2;;
+
+               -n) new_name=$2; shift 2;;
+
+               -b) blockdev=$2; shift 2;;
+
+               -s) swapdev=$2; shift 2;;
+
+               --) shift; break;;
+
+               *)  echo "Internal error!"; exit 1;;
+       esac
+done
+if [ -z "$old_name" -o -z "$new_name" -o -z "$blockdev" -o -z "$swapdev" ]; then
+       echo "Missing -o or -n or -b or -s argument!"
+       exit 1
+fi
+
+TMPDIR=`mktemp -d` || exit 1
+trap "umount $TMPDIR; rmdir $TMPDIR" EXIT
+mount $blockdev $TMPDIR
+
+HNAME="$TMPDIR/etc/hostname"
+MNAME="$TMPDIR/etc/mailname"
+
+# for hostname, we raise and error if the old hostname is not what we
+# expect
+OLD_HNAME="`cat $HNAME`"
+if [ "$OLD_HNAME" = "$old_name" ]; then
+       echo $new_name > $HNAME
+else
+       echo "Cannot rename from $old_name to $new_name:" 1>&2
+       echo "Instance has a different hostname ($OLD_HNAME)" 1>&2
+       exit 1
+fi
+
+# for mailname, we rename only if it has the old_name, otherwise we
+# ignore it (and assumme that it's a customized name)
+if [ "`cat $MNAME`" = "$old_name" ]; then
+       echo $new_name > $MNAME
+fi
+
+umount $TMPDIR
+rmdir $TMPDIR
+trap - EXIT
+
+exit 0